Package org.zkoss.zk.ui.event

## Class MinimizeEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.MinimizeEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MinimizeEvent
      extends Event

  Represents an event caused by a component being minimized.
  Since:
    3.5.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinimizeEvent​(java.lang.String name, Component target, java.lang.String left, java.lang.String top, java.lang.String width, java.lang.String height, boolean minimized)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHeight()` | Returns the height of the component, which is its original height.
    `java.lang.String` | `getLeft()` | Returns the left of the component, which is its original left.
    `static MinimizeEvent` | `getMinimizeEvent​(AuRequest request)` | Converts an AU request to a minimize event.
    `java.lang.String` | `getTop()` | Returns the top of the component, which is its original top.
    `java.lang.String` | `getWidth()` | Returns the width of the component, which is its original width.
    `boolean` | `isMinimized()` | Returns whether to be minimized.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimizeEvent

          public MinimizeEvent​(java.lang.String name,
                               Component target,
                               java.lang.String left,
                               java.lang.String top,
                               java.lang.String width,
                               java.lang.String height,
                               boolean minimized)

  - ### Method Detail

    - #### getMinimizeEvent

          public static final MinimizeEvent getMinimizeEvent​(AuRequest request)

      Converts an AU request to a minimize event.
      Since:
        5.0.0

    - #### getWidth

          public final java.lang.String getWidth()

      Returns the width of the component, which is its original width.

    - #### getHeight

          public final java.lang.String getHeight()

      Returns the height of the component, which is its original height.

    - #### getLeft

          public final java.lang.String getLeft()

      Returns the left of the component, which is its original left.

    - #### getTop

          public final java.lang.String getTop()

      Returns the top of the component, which is its original top.

    - #### isMinimized

          public final boolean isMinimized()

      Returns whether to be minimized.